#include "chip_devtype_mem.h"
#ifdef CHIP_CFG_FLASH_OFFSET
    #define CHIP_FLASH_OFFSET CHIP_CFG_FLASH_OFFSET
#else
    #define CHIP_FLASH_OFFSET 0
#endif

/* Specify the memory areas */
MEMORY {
    SRAM (xrw)      : ORIGIN = 0x20000000, LENGTH = CHIP_RAM_MEM_SIZE
    FLASH (rx)      : ORIGIN = 0x08000000 + CHIP_FLASH_OFFSET, LENGTH = CHIP_FLASH_MEM_SIZE - CHIP_FLASH_OFFSET
    USBCAN_RAM (rw) : ORIGIN = 0x40000000 + 0x6000, LENGTH = 1024
}
